RubyGems Navigation menu

rubypython 0.6.4

RubyPython is a bridge between the Ruby and Python interpreters. It embeds a running Python interpreter in the Ruby application's process using FFI and provides a means for wrapping, converting, and calling Python objects and methods. RubyPython uses FFI to marshal the data between the Ruby and Python VMs and make Python calls. You can: * Inherit from Python classes. * Configure callbacks from Python. * Run Python generators (on Ruby 1.9.2 or later).

Gemfile:
= クリップボードにコピー コピー完了!

インストール:
=

バージョン履歴:

  1. 0.6.4 - June 22, 2017 (42KB)
  2. 0.6.3 - September 25, 2012 (39KB)
  3. 0.6.2 - May 24, 2012 (39.5KB)
  4. 0.6.1 - May 18, 2012 (39.5KB)
  5. 0.6.0 - April 17, 2012 (39.5KB)
全てのバージョンを表示(全24件)

Runtime依存関係 (2):

blankslate >= 2.1.2.3
ffi ~> 1.0.7

Development依存関係 (11):

hoe ~> 3.8
hoe-doofus ~> 1.0
hoe-gemspec2 ~> 1.1
hoe-git ~> 1.5
hoe-hg ~> 1.0
hoe-rubygems ~> 1.0
hoe-travis ~> 1.2
rdoc ~> 4.0
rspec ~> 2.0
rubyforge >= 2.0.4
tilt ~> 1.0

必須要件:

Python, ~> 2.4

所有者:

作者:

  • Steeve Morin, Austin Ziegler, Zach Raines

SHA 256チェックサム:

d99e347d9d20a5153b70f91d4c976021c784beb3bef10ba646988fcd24cd70a5

累計ダウンロード数 1,448,406

このバージョンのみ 10,053

ライセンス:

MIT

必要なRubyのバージョン: >= 0

リンク: